Get API configuration
curl --request GET \
--url https://api.launch.o1.exchange/v1/config \
--header 'x-api-key: <api-key>'import requests
url = "https://api.launch.o1.exchange/v1/config"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.launch.o1.exchange/v1/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"chain": {
"chain_id": 8453,
"name": "<string>",
"native_currency": {
"symbol": "<string>",
"decimals": 127
},
"capabilities": {
"launch_token_mode": "b20",
"b20_asset_status": "active"
}
},
"supported_chain_ids": [
8453
],
"suites": [
{
"id": "<string>",
"version": "<string>",
"chain_id": 8453,
"route": "standard",
"supported_routes": [
"standard"
],
"active_for_creation": true,
"creation_available": true,
"first_block": 1,
"token_mode": "b20",
"contracts": {
"factory": "0x1111111111111111111111111111111111111111",
"hook": "0x1111111111111111111111111111111111111111",
"fee_escrow": "0x1111111111111111111111111111111111111111",
"announcement_registry": "0x1111111111111111111111111111111111111111",
"pool_manager": "0x1111111111111111111111111111111111111111",
"state_view": "0x1111111111111111111111111111111111111111",
"quoter": "0x1111111111111111111111111111111111111111",
"universal_router": "0x1111111111111111111111111111111111111111",
"permit2": "0x1111111111111111111111111111111111111111",
"vesting_vault": "0x1111111111111111111111111111111111111111"
},
"capabilities": {
"launch_creation_fee": true,
"announcements": true,
"editable_metadata": true,
"vesting": true,
"creator_rights": true,
"atomic_launch_buy": true,
"generic_fee_components": true,
"quote_revisions": true,
"launch_creation_switch": true
},
"config_version": "1000000000000000000",
"launch_supply_raw": "1000000000000000000",
"launch_creation_enabled": true,
"launch_buy_adapter_address": "0x1111111111111111111111111111111111111111",
"creation_fee": {
"amount_raw": "1000000000000000000",
"currency": "<string>",
"symbol": "<string>",
"decimals": 127
}
}
],
"quotes": [
{
"address": "0x1111111111111111111111111111111111111111",
"symbol": "<string>",
"decimals": 127,
"route": "standard",
"suite_id": "<string>",
"registered": true,
"selectable": true,
"name": "<string>",
"asset_type": "native",
"issuer": {
"id": "<string>",
"name": "<string>",
"legal_entities": [
"<string>"
],
"sources": [
"<string>"
]
},
"quote_revision": "1000000000000000000",
"creation_fee": {
"amount_raw": "1000000000000000000",
"currency": "<string>",
"symbol": "<string>",
"decimals": 127
}
}
],
"as_of_block": "1000000000000000000"
},
"meta": {
"request_id": "req_01JZZZZZZZZZZZZZZZZZZZZZZZ",
"generated_at": "2026-07-31T12:00:00.000Z",
"warnings": [
"<string>"
]
}
}{
"type": "https://docs.o1.exchange/launchpad/api/errors-and-limits#not-found",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"detail": "<string>",
"action": "<string>",
"instance": "<string>",
"request_id": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>",
"resource": "<string>",
"chain_id": 8453,
"token_address": "0x1111111111111111111111111111111111111111",
"asset": "0x1111111111111111111111111111111111111111",
"actual_raw": "1000000000000000000",
"required_raw": "1000000000000000000"
}{
"type": "https://docs.o1.exchange/launchpad/api/errors-and-limits#not-found",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"detail": "<string>",
"action": "<string>",
"instance": "<string>",
"request_id": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>",
"resource": "<string>",
"chain_id": 8453,
"token_address": "0x1111111111111111111111111111111111111111",
"asset": "0x1111111111111111111111111111111111111111",
"actual_raw": "1000000000000000000",
"required_raw": "1000000000000000000"
}{
"type": "https://docs.o1.exchange/launchpad/api/errors-and-limits#not-found",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"detail": "<string>",
"action": "<string>",
"instance": "<string>",
"request_id": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>",
"resource": "<string>",
"chain_id": 8453,
"token_address": "0x1111111111111111111111111111111111111111",
"asset": "0x1111111111111111111111111111111111111111",
"actual_raw": "1000000000000000000",
"required_raw": "1000000000000000000"
}{
"type": "https://docs.o1.exchange/launchpad/api/errors-and-limits#not-found",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"detail": "<string>",
"action": "<string>",
"instance": "<string>",
"request_id": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>",
"resource": "<string>",
"chain_id": 8453,
"token_address": "0x1111111111111111111111111111111111111111",
"asset": "0x1111111111111111111111111111111111111111",
"actual_raw": "1000000000000000000",
"required_raw": "1000000000000000000"
}{
"type": "https://docs.o1.exchange/launchpad/api/errors-and-limits#not-found",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"detail": "<string>",
"action": "<string>",
"instance": "<string>",
"request_id": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>",
"resource": "<string>",
"chain_id": 8453,
"token_address": "0x1111111111111111111111111111111111111111",
"asset": "0x1111111111111111111111111111111111111111",
"actual_raw": "1000000000000000000",
"required_raw": "1000000000000000000"
}{
"type": "https://docs.o1.exchange/launchpad/api/errors-and-limits#not-found",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"detail": "<string>",
"action": "<string>",
"instance": "<string>",
"request_id": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>",
"resource": "<string>",
"chain_id": 8453,
"token_address": "0x1111111111111111111111111111111111111111",
"asset": "0x1111111111111111111111111111111111111111",
"actual_raw": "1000000000000000000",
"required_raw": "1000000000000000000"
}{
"type": "https://docs.o1.exchange/launchpad/api/errors-and-limits#not-found",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"detail": "<string>",
"action": "<string>",
"instance": "<string>",
"request_id": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>",
"resource": "<string>",
"chain_id": 8453,
"token_address": "0x1111111111111111111111111111111111111111",
"asset": "0x1111111111111111111111111111111111111111",
"actual_raw": "1000000000000000000",
"required_raw": "1000000000000000000"
}{
"type": "https://docs.o1.exchange/launchpad/api/errors-and-limits#not-found",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"detail": "<string>",
"action": "<string>",
"instance": "<string>",
"request_id": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>",
"resource": "<string>",
"chain_id": 8453,
"token_address": "0x1111111111111111111111111111111111111111",
"asset": "0x1111111111111111111111111111111111111111",
"actual_raw": "1000000000000000000",
"required_raw": "1000000000000000000"
}{
"type": "https://docs.o1.exchange/launchpad/api/errors-and-limits#not-found",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"detail": "<string>",
"action": "<string>",
"instance": "<string>",
"request_id": "<string>",
"invalid_parameters": [
{
"name": "<string>",
"reason": "<string>",
"detail": "<string>",
"allowed": [
"<string>"
]
}
],
"suggested_endpoint": "<string>",
"resource": "<string>",
"chain_id": 8453,
"token_address": "0x1111111111111111111111111111111111111111",
"asset": "0x1111111111111111111111111111111111111111",
"actual_raw": "1000000000000000000",
"required_raw": "1000000000000000000"
}Meta
Get API configuration
Get production suites, contract addresses, quote assets, capabilities, and live creation state for one chain.
GET
/
config
Get API configuration
Authorizations
Production API key beginning with o1_launch_.
Query Parameters
Production chain to query: 8453 for Base, 4663 for Robinhood Chain, or 143 for Monad. Production chain ID: 8453 for Base, 4663 for Robinhood Chain, or 143 for Monad.
Available options:
8453, 4663, 143 Example:
8453
Launch market to include: standard for crypto-paired tokens, rwa for stock-paired tokens, or all markets.
Available options:
standard, rwa, all Comma-separated sections to return: chains, suites, and quotes.
When true, omit historical suites and quote assets that cannot create new launches.
